import {NgModule} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';
import {NgbModule} from '@ng-bootstrap/ng-bootstrap';

import {AppComponent} from './app.component';
import {AppRouting} from './app.routing';
import {LandingpageComponent} from './pages/landingpage/landingpage.component';
import {PageNotFoundComponent} from './pages/page-not-found/page-not-found.component';
import {WeekComponent} from './components/week/week.component';
import {DayComponent} from './components/day/day.component';
import {EventComponent} from './components/event/event.component';
import {DatepickerComponent} from './components/datepicker/datepicker.component';
import {EventDetailComponent} from './components/event-detail/event-detail.component';
import {HttpClientModule} from '@angular/common/http';
import {FormsModule} from '@angular/forms';
import {ApiService} from './services/api/api.service';
import {MatTooltipModule} from '@angular/material/tooltip';
import {UtilitiesService} from './services/utils/utilities.service';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';

@NgModule({
    declarations: [
        AppComponent,
        LandingpageComponent,
        PageNotFoundComponent,
        WeekComponent,
        DayComponent,
        EventComponent,
        DatepickerComponent,
        EventDetailComponent
    ],
    imports: [
        BrowserModule,
        AppRouting,
        HttpClientModule,
        NgbModule,
        FormsModule,
        MatTooltipModule,
        BrowserAnimationsModule
    ],
    providers: [ApiService, UtilitiesService],
    bootstrap: [AppComponent]
})
export class AppModule {
}
