import {Component, Input, OnInit} from '@angular/core';
import {Event} from '../../models/event';

@Component({
    selector: 'app-day',
    templateUrl: './day.component.html',
    styleUrls: ['./day.component.css']
})
export class DayComponent implements OnInit {
    @Input() events: Event[] = [];
    @Input() dayOfWeek: number = 0;
    @Input() showDeletedEvents: boolean = true;

    weekDayName: string = '';

    constructor() {
    }

    ngOnInit(): void {
        this.weekDayName = ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'][this.dayOfWeek];
        this.events = this.events.sort((a, b) => {
            return new Date(a.latest_start_date.toString()).getTime() - new Date(b.latest_start_date.toString()).getTime()
        });
    }

}
