import {Injectable} from '@angular/core';

@Injectable({
    providedIn: 'root'
})
export class UtilitiesService {

    constructor() {
    }

    getTimeFromDate(date: Date): string {
        return date.getHours().toString().padStart(2, '0') + ':' + date.getMinutes().toString().padStart(2, '0');
    }

    getTimeFromString(dateString: string): string {
        let date = new Date(dateString);
        return this.getTimeFromDate(date);
    }

    getDateTimeFromDate(date: Date): string {
        let year = date.getFullYear().toString();
        let month = date.getMonth().toString().padStart(2, '0');
        let day = date.getDate().toString().padStart(2, '0');
        let hour = date.getHours().toString().padStart(2, '0');
        let minute = date.getMinutes().toString().padStart(2, '0');

        return day + '.' + month + '.' + year + ', ' + hour + ':' + minute;
    }

    getDateTimeFromString(dateString: string): string {
        let date = new Date(dateString);
        return this.getDateTimeFromDate(date);
    }
}
